Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 484485 - Review Request: perl-Fedora-App-ReviewTool - Application classes for reviewtool
Summary: Review Request: perl-Fedora-App-ReviewTool - Application classes for reviewtool
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://camelus.fedorahosted.org
Whiteboard:
Depends On: perl-Archive-RPM 497869 perl-Term-Completion
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-02-07 08:04 UTC by Chris Weyl
Modified: 2010-01-26 03:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-26 03:14:20 UTC


Attachments (Terms of Use)

Description Chris Weyl 2009-02-07 08:04:05 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Fedora-App-ReviewTool.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Fedora-App-ReviewTool-0.04-1.fc10.src.rpm

Description:
Application classes for reviewtool.  For the actual application, please
install the 'reviewtool' package.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1110928

Comment 1 manuel wolfshant 2009-02-11 10:04:59 UTC
Quote from a testrun on F10, after I have installed like this:

yum -y install --nogpgcheck ./reviewtool-0.04-1.fc10.noarch.rpm ./perl-Fedora-App-ReviewTool-0.04-1.fc10.noarch.rpm 



[root@pc64 ~]# reviewtool setup
Could not load class (MooseX::App::Cmd) because : Can't locate MooseX/App/Cmd.pm in @INC (@INC contains: /usr/bin/../lib /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl .) at /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Class/MOP.pm line 151.
 at /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Class/MOP.pm line 133
        Class::MOP::load_first_existing_class('MooseX::App::Cmd') called at /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Class/MOP.pm line 157
        Class::MOP::load_class('MooseX::App::Cmd') called at /usr/lib/perl5/vendor_perl/5.10.0/Moose.pm line 52
        Moose::extends('Fedora::App::ReviewTool', 'MooseX::App::Cmd') called at /usr/lib/perl5/vendor_perl/5.10.0/Moose/Exporter.pm line 201
        Moose::extends('MooseX::App::Cmd') called at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/App/ReviewTool.pm line 34
        require Fedora/App/ReviewTool.pm called at /usr/bin/reviewtool line 30
        main::BEGIN() called at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/App/ReviewTool.pm line 0
        eval {...} called at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/App/ReviewTool.pm line 0
Compilation failed in require at /usr/bin/reviewtool line 30.
BEGIN failed--compilation aborted at /usr/bin/reviewtool line 30.

Comment 2 Parag AN(पराग) 2009-02-11 11:02:30 UTC
that mean spec need
Requires: perl (MooseX::App::Cmd)

Even after adding that command failed
need
Requires: perl (RPC::XML::Client)

Comment 3 Chris Weyl 2009-02-11 17:12:21 UTC
RPM doesn't yet pick up Moose syntax, sadly :\

Comment 5 manuel wolfshant 2009-02-15 05:39:32 UTC
some deps are still missing:
# reviewtool setup

couldn't load Fedora::App::ReviewTool::Command::status: Could not load class (Fedora::App::ReviewTool::Bugzilla) because : Could not load class (Moose::Meta::Attribute::Custom::Trait::MooseX::MultiInitArg::Trait) because : Can't locate Moose/Meta/Attribute/Custom/Trait/MooseX/MultiInitArg/Trait.pm in @INC (@INC contains: /usr/bin/../lib /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl .) at /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Class/MOP.pm line 151.

triggered from:

Class::MOP::load_first_existing_class('Moose::Meta::Attribute::Custom::Trait::MooseX::MultiInitArg::...', 'MooseX::MultiInitArg::Trait') called at /usr/lib/perl5/vendor_perl/5.10.0/Moose/Util.pm line 143
        Moose::Util::resolve_metaclass_alias('Attribute', 'MooseX::MultiInitArg::Trait', 'trait', 1) called at /usr/lib/perl5/vendor_perl/5.10.0/Moose/Util.pm line 123
        Moose::Util::resolve_metatrait_alias('Attribute', 'MooseX::MultiInitArg::Trait') called at /usr/lib/perl5/vendor_perl/5.10.0/Moose/Meta/Attribute.pm line 116
        Moose::Meta::Attribute::interpolate_class('Moose::Meta::Attribute', 'predicate', 'has_id', 'builder', '_build_id', 'isa', 'Int', 'clear_on', 'data', ...) called at /usr/lib/perl5/vendor_perl/5.10.0/Moose/Meta/Attribute.pm line 86
        Moose::Meta::Attribute::interpolate_class_and_new('Moose::Meta::Attribute', 'id', 'predicate', 'has_id', 'builder', '_build_id', 'isa', 'Int', 'clear_on', ...) called at /usr/lib/perl5/vendor_perl/5.10.0/Moose/Meta/Class.pm line 510

Comment 6 Chris Weyl 2009-02-20 17:40:58 UTC
Looks like MooseX::MultiInitArg is a missing dep of Fedora::Bugzilla...  I'm really beginning to think the rpm/Perl autoprov/req scripts need an overhaul.

I'll get Fedora::Bugzilla rebuilt (after I deal with an expired cert) and post here when it's in rawhide.

Comment 8 manuel wolfshant 2009-02-24 15:14:15 UTC
Still no go :(

[root@pc64 ~]# reviewtool status
Retrieving status from bugzilla....

What's your bugzilla login email addy? [nobody@fedoraproject.org] wolfy@nobugconsulting.ro
Thanks, wolfy@nobugconsulting.ro. You can set this permanently by running setup.
Please enter your bugzilla password: ***********
1 bugs found.

Fetching bugzilla data:   0% [                                                                                              ]Attribute(reporter) does not pass the type constraint (Fedora::Bugzilla::Types::EmailAddress) with undef at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/App/ReviewTool/Command/status.pm line 97
        Fedora::App::ReviewTool::Command::status::run('Fedora::App::ReviewTool::Command::status=HASH(0xa0668ec)', 'HASH(0x89538dc)', 'ARRAY(0x8aa3034)') called at /usr/lib/perl5/vendor_perl/5.10.0/App/Cmd.pm line 360
        App::Cmd::execute_command('Fedora::App::ReviewTool=HASH(0x89f68e4)', 'Fedora::App::ReviewTool::Command::status=HASH(0xa0668ec)', 'HASH(0x89538dc)') called at /usr/lib/perl5/vendor_perl/5.10.0/App/Cmd.pm line 256
        App::Cmd::run('Fedora::App::ReviewTool') called at /usr/bin/reviewtool line 32

quote from tail /var/log/yum.log
Feb 19 20:45:05 Installed: perl-MooseX-MultiInitArg-0.01-2.fc10.noarch
Feb 19 20:45:05 Updated: perl-Fedora-App-ReviewTool-0.04-3.fc11.noarch
Feb 19 20:45:05 Updated: reviewtool-0.04-3.fc11.noarch

[root@pc64 ~]# rpm -qa \*Bugz\*
perl-Fedora-Bugzilla-0.04-1.fc10.noarch
[root@pc64 ~]# yum update perl*
Setting up Update Process
Examining perl-Fedora-App-ReviewTool-0.04-2.fc10.noarch.rpm: perl-Fedora-App-ReviewTool-0.04-2.fc10.noarch
Package perl-Fedora-App-ReviewTool not installed, cannot update it. Run yum install to install it instead.
Examining perl-Fedora-App-ReviewTool-0.04-3.fc11.noarch.rpm: perl-Fedora-App-ReviewTool-0.04-3.fc11.noarch
Package perl-Fedora-App-ReviewTool not installed, cannot update it. Run yum install to install it instead.
No Packages marked for Update

should I try in rawhide ?

Comment 9 manuel wolfshant 2009-02-24 15:20:13 UTC
scratch the yum update perl* from above, I've done it correctly now. but the behaviour is the same
and it does not matter if I use the correct password or not, I have the exact same output...
[root@pc64 ~]# reviewtool status
Retrieving status from bugzilla....

What's your bugzilla login email addy? [nobody@fedoraproject.org] wolfy@nobugconsulting.ro
Thanks, wolfy@nobugconsulting.ro. You can set this permanently by running setup.
Please enter your bugzilla password: *********** <-------- WRONG PASSWORD HERE
1 bugs found.

Fetching bugzilla data:   0% [                                                                                              ]Attribute(reporter) does not pass the type constraint (Fedora::Bugzilla::Types::EmailAddress) with undef at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/App/ReviewTool/Command/status.pm line 97
        Fedora::App::ReviewTool::Command::status::run('Fedora::App::ReviewTool::Command::status=HASH(0xa2952d4)', 'HASH(0x8b788ac)', 'ARRAY(0x8cc806c)') called at /usr/lib/perl5/vendor_perl/5.10.0/App/Cmd.pm line 360
        App::Cmd::execute_command('Fedora::App::ReviewTool=HASH(0x8c22bb4)', 'Fedora::App::ReviewTool::Command::status=HASH(0xa2952d4)', 'HASH(0x8b788ac)') called at /usr/lib/perl5/vendor_perl/5.10.0/App/Cmd.pm line 256
        App::Cmd::run('Fedora::App::ReviewTool') called at /usr/bin/reviewtool line 32

Comment 11 Chris Weyl 2009-02-27 22:39:04 UTC
(In reply to comment #9)
> scratch the yum update perl* from above, I've done it correctly now. but the
> behaviour is the same
> and it does not matter if I use the correct password or not, I have the exact
> same output...
> [root@pc64 ~]# reviewtool status
> Retrieving status from bugzilla....

This was being caused by a non-authenticated query _not_ returning the email address...  So the typing/coercion of that attribute was causing that issue.

I've updated to just force a bugzilla login for now; the above packages were used for submit/update in a mock rawhide chroot and should work fine now.  (Not sure about F-10, but if it's an issue I'll push out a new Fedora::Bugzilla to F-10 faster than normal.

Comment 12 manuel wolfshant 2009-03-06 00:15:44 UTC
Can I test the package in a F10 VM or do I have to update it to rawhide ?

Comment 13 manuel wolfshant 2009-03-06 00:17:17 UTC
(In reply to comment #10)
> Spec URL: http://fedorapeople.org/~cweyl/review/perl-Fedora-App-ReviewTool.spec
> SRPM URL:
> http://fedorapeople.org/~cweyl/review/perl-Fedora-App-ReviewTool-0.05-1.fc10.src.rpm
> 
> Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1206919  

http://koji.fedoraproject.org/koji/taskinfo?taskID=1206919 says " BuildError: error building package (arch noarch), mock exited with status 1; see build.log for more information "

Comment 14 manuel wolfshant 2009-03-06 00:23:52 UTC
Getting odder... http://koji.fedoraproject.org/koji/taskinfo?taskID=1225331 ( the result of koji build --scratch --arch-override=x86_64 dist-f10 /tmp/perl-Fedora-App-ReviewTool-0.05-1.fc10.src.rpm )

Comment 15 Chris Weyl 2009-03-09 04:56:21 UTC
Hmm.

It's bombing out on the external bin requires of koji, which also needs to be a buildrequires:

"Locating required external dependency bin:koji...NA: Unable to build distribution on this platform."

Comment 17 manuel wolfshant 2009-03-14 16:04:13 UTC
Sorry for the delay, rough week at work.
Unfortunately it still does not work:

[root@pc64 ~]# reviewtool status
Retrieving status from bugzilla....

What's your bugzilla login email addy? [nobody@fedoraproject.org] wolfy@nobugconsulting.ro
Thanks, wolfy@nobugconsulting.ro. You can set this permanently by running setup.
Please enter your bugzilla password: ***********
1 bugs found.


Fetching bugzilla data:   0% [                                                                           ]Attribute (reporter) does not pass the type constraint (Fedora::Bugzilla::Types::EmailAddress) with undef at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/App/ReviewTool/Command/status.pm line 97
        Fedora::App::ReviewTool::Command::status::run('Fedora::App::ReviewTool::Command::status=HASH(0xbe07524)', 'HASH(0xa6ea9bc)', 'ARRAY(0xa83a034)') called at /usr/lib/perl5/vendor_perl/5.10.0/App/Cmd.pm line 360
        App::Cmd::execute_command('Fedora::App::ReviewTool=HASH(0xa794b04)', 'Fedora::App::ReviewTool::Command::status=HASH(0xbe07524)', 'HASH(0xa6ea9bc)') called at /usr/lib/perl5/vendor_perl/5.10.0/App/Cmd.pm line 256
        App::Cmd::run('Fedora::App::ReviewTool') called at /usr/bin/reviewtool line 32


We have two issues here
a) "1 bug found" is printed independent of using a correct or incorrect password
b) it bombs out, once again independent of using a correct or incorrect password

Comment 18 Chris Weyl 2009-03-19 00:08:52 UTC
Apologies for the slow pace of this review on my side, too...  Sadly, you're not the only one with a rough workweek :)

Alright, so. The "Attribute (reporter) does not pass the type constraint..." error is generally a good indication that we're not logged into bugzilla yet.  Since 0.05 we should be forcing logins, so this shouldn't be happening.  I'll pull everything into a fresh mock root and see what's going on...

Comment 19 Chris Weyl 2009-04-27 16:36:21 UTC
Two new deps up for review; will build 0.08 as soon as those are in rawhide.

Comment 20 Chris Weyl 2009-04-28 14:55:49 UTC
0.09 is out at http://fedorapeople.org/~cweyl/reviewtool/.  It needs Fedora::Bugzilla 0.10 (currently making its way through testing) as well as Archive::RPM and MooseX::Role::XMLRPC::Client (both up for review, and out there as well).

We should be correctly pulling in IPC::System::Simple correctly now, as well.

Comment 21 Parag AN(पराग) 2009-05-13 06:33:06 UTC
any progress here?

Comment 22 manuel wolfshant 2009-05-13 07:49:39 UTC
I am still waiting for a "go ahead" and retry building. My last attempt was exactly a week ago and there were still some missing deps which stopped mock build.

Comment 23 manuel wolfshant 2009-05-22 01:02:14 UTC
Chris, could you please upload perl-Fedora-App-ReviewTool-0.10-1.fc10.src.rpm  ? I see only the binaries at http://fedorapeople.org/~cweyl/reviewtool/

Comment 25 Chris Weyl 2009-06-01 05:47:22 UTC
Apologies for the massive delays with everything as of late: $life and $work are conspiring against free time.

There's a scratch build of the latest above; though I see I need to bump the version of Module::Install (to avoid the CPAN spew) and make sure Fedora::Bugzilla is at 0.10.

Comment 26 manuel wolfshant 2009-06-14 21:33:05 UTC
I apologize but personal issues that need solving occupy a lot of the time which I would have liked to allocate to package review. Since I want to see this package in a faster line, I am retiring myself from reviewing it, hoping that someone (Jussi ? Parag ?) can take care of it in a quicker pace.

Comment 27 Chris Weyl 2009-06-26 17:07:42 UTC
No problem, I've hardly been handling this at the speed I'd like either.

Work/Life are going to continue to essentially dominate my time for the next couple weeks, so I'm going to mark this on the whiteboard as "NotReady" and come back to it in a little bit.

Comment 28 Jan Klepek 2009-09-03 05:47:54 UTC
Hi Chris, any progress?

Comment 29 Parag AN(पराग) 2009-12-10 11:03:19 UTC
Hi Chris, any progress?

Comment 30 Jason Tibbitts 2010-01-26 03:14:20 UTC
Half a year without progress and multiple pings with no response; I'll close this out.


Note You need to log in before you can comment on or make changes to this bug.